# Interface methods for submodule: RegionFromReferenceLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ChangeRegionLabelMapFilterProxy as _ChangeRegionLabelMapFilterProxy


# Interface methods for class: RegionFromReferenceLabelMapFilter
class RegionFromReferenceLabelMapFilterProxy(_ChangeRegionLabelMapFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetReferenceImage(self, image) -> None:
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

